## python-dpkt 1.6%2Bsvn54

=== Makefile ===
# $Id: Makefile 345 2006-02-01 15:47:16Z dugsong $

PYTHON	= python
#BDIST_MPKG= bdist_mpkg
BDIST_MPKG= /Library/Frameworks/Python.framework/Versions/2.5/bin/bdist_mpkg
PKGDIR  = dpkt-`egrep version dpkt/__init__.py | cut -f2 -d"'"`
URL	= `egrep url dpkt/__init__.py | cut -f2 -d"'"`

all:
	$(PYTHON) setup.py build

install:
	$(PYTHON) setup.py install

test:
	$(PYTHON) test.py

doc:
	epydoc -o doc -n dpkt -u $(URL) --docformat=plaintext ./dpkt/

pkg_win32:
	$(PYTHON) setup.py bdist_wininst

pkg_osx:
	$(BDIST_MPKG) --readme=README --license=LICENSE
	PKGNAME=`basename dist/*.mpkg | sed s/\.mpkg//` ; \
	hdiutil create -srcfolder dist -volname $${PKGNAME} $${PKGNAME}.dmg

clean:
	rm -rf build dist doc *.dmg

cleandir distclean: clean
	rm -f *.pyc *~ */*.pyc */*~

## python-dpkt 1.8.r98

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 PYTHON	= python
 #BDIST_MPKG= bdist_mpkg
-BDIST_MPKG= /Library/Frameworks/Python.framework/Versions/2.5/bin/bdist_mpkg
+BDIST_MPKG= /System/Library/Frameworks/Python.framework/Versions/2.6/Extras/bin/bdist_mpkg
 PKGDIR  = dpkt-`egrep version dpkt/__init__.py | cut -f2 -d"'"`
 URL	= `egrep url dpkt/__init__.py | cut -f2 -d"'"`

=== debian/changelog ===
python-dpkt (1.8.r98-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version (Closes: #781796)
  * Update watch file
  * Modernize package
    - Debhelper 9
    - Standards-Version
    - Source-Format 3.0 (quilt) instead of dpatch
    - Drop patch

 -- Hilko Bengen <bengen@debian.org>  Wed, 25 Nov 2015 00:31:11 +0100

python-dpkt (1.6+svn54-3) unstable; urgency=medium

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ Andrey Rahmatullin ]
  * Port from python-support to dh-python (Closes: #786207)
  * Remove obsolete debian/watch, patches welcome
  * Update Homepage:

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Mon, 24 Aug 2015 23:56:33 +0500

python-dpkt (1.6+svn54-2) unstable; urgency=low

  * Renamed the dnet calls to dumbnet. 
  * Homepage updated
  * Description polished.
  * debian/README.source added.  

 -- Luciano Bello <luciano@debian.org>  Wed, 26 Aug 2009 01:41:59 -0300

python-dpkt (1.6+svn54-1) unstable; urgency=low

  * Initial release (Closes: #538755)

 -- Luciano Bello <luciano@debian.org>  Mon, 27 Jul 2009 20:53:29 -0300

=== debian/control ===
Source: python-dpkt
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Luciano Bello <luciano@debian.org>, Nico Golde <nion@debian.org>
Build-Depends: debhelper (>= 9~), python-all, dh-python,
Standards-Version: 3.9.6
Homepage: https://github.com/kbandla/dpkt
XS-Python-Version: all
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-dpkt/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-dpkt/trunk/

Package: python-dpkt
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-dumbnet
Description: Python packet creation / parsing module for basic TCP/IP protocols
 Python module for fast, simple packet creation / parsing, with support for
 basic protocols often related to TCP/IP protocols. This includes (but is not
 limited to):
  - ethernet
  - HTTP
  - ICMP
  - UDP
  - TCP/IP (v4 and v6)
  - BGP
  - radius
  - ssl
 and many other protocols as well as support for parsing pcap files.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --with=python2 --buildsystem=pybuild

=== debian/watch ===
version=3
https://github.com/kbandla/dpkt/releases .*/archive/(\d.*)\.tar\.gz

## python-dpkt 1.9.2

=== Makefile ===

help:
	@echo "clean - remove all build/python artifacts"
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"

clean: clean-build clean-pyc

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr deb_dist/
	rm -fr *.egg-info
	rm -fr *.tar.gz
	rm -fr .tox
	find . -name '__pycache__' -exec rm -fr {} +

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyspotify.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyspotify.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyspotify"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyspotify"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/requirements.txt ===
mock >= 1.0
Sphinx >= 1.0
sphinxcontrib-napoleon

=== debian/changelog ===
python-dpkt (1.9.2-1) unstable; urgency=medium

  * Update to 1.9.2
  * d/control: Bump Standards-Version to 4.3.1, no changes needed.
  * d/control: Bump debhelper compat to 12

 -- Stewart Ferguson <stew@ferg.aero>  Wed, 16 Jan 2019 17:15:25 +0100

python-dpkt (1.9.1-1) unstable; urgency=medium

  * Update to 1.9.1
  * Adding python3 package
  * d/control:
    + Removed dumbnet dependency
    + Added myself to uploaders.
    + Added python3 package + builddep
    + Bump Standards-Version to 4.2.1, no changes needed.
  * d/rules:
    + Cleaning dpkt.egg-info
    + Adding install rules for python2+3

 -- Stewart Ferguson <stew@ferg.aero>  Sat, 01 Dec 2018 11:36:30 +0100

python-dpkt (1.8.r98-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org.
  * d/changelog: Remove trailing whitespaces.

  [ Mattia Rizzolo ]
  * Drop outdated d/README.sources.
  * Bump debhelper compat version to 11.
  * d/control:
    + Run wrap-and-sort -ast.
    + Remove Nico Golde <nion@debian.org> from uploaders, as he retired.
    + Bump Standards-Version to 4.1.5, no changes needed.
    + Remove deprecated X-Python-Version:all field.
    + Add Rules-Requires-Root:no.
    + Set Testsuite:autopkgtest-pkg-python.
  * d/copyright: Rewrite using copyiright-format 1.0.
  * d/watch: Update.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 08 Jul 2018 12:11:16 +0200

=== debian/control ===
Source: python-dpkt
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Luciano Bello <luciano@debian.org>, Stewart Ferguson <stew@ferg.aero>
Build-Depends:
 debhelper (>= 12),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://github.com/kbandla/dpkt
Vcs-Git: https://salsa.debian.org/python-team/modules/python-dpkt.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-dpkt
Testsuite: autopkgtest-pkg-python

Package: python-dpkt
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends}
Description: Python 2 packet creation / parsing module for basic TCP/IP protocols
 Python 2 module for fast, simple packet creation / parsing, with support for
 basic protocols often related to TCP/IP protocols. This includes (but is not
 limited to):
  - ethernet
  - HTTP
  - ICMP
  - UDP
  - TCP/IP (v4 and v6)
  - BGP
  - radius
  - ssl
 and many other protocols as well as support for parsing pcap files.

Package: python3-dpkt
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: Python 3 packet creation / parsing module for basic TCP/IP protocols
 Python 3 module for fast, simple packet creation / parsing, with support for
 basic protocols often related to TCP/IP protocols. This includes (but is not
 limited to):
  - ethernet
  - HTTP
  - ICMP
  - UDP
  - TCP/IP (v4 and v6)
  - BGP
  - radius
  - ssl
 and many other protocols as well as support for parsing pcap files.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=dpkt

%:
	dh $@ --with=python2,python3 --buildsystem=pybuild

## python-dpkt 1.9.7.2

=== debian/changelog ===
python-dpkt (1.9.7.2-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.

  [ Boyuan Yang ]
  * Update standards version to 4.6.0, no changes needed.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 27 Mar 2022 11:28:44 -0400

python-dpkt (1.9.2-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Thu, 25 Jul 2019 15:38:24 +0200

=== debian/control ===
Source: python-dpkt
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Stewart Ferguson <stew@ferg.aero>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/kbandla/dpkt
Vcs-Git: https://salsa.debian.org/python-team/packages/python-dpkt.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-dpkt
Testsuite: autopkgtest-pkg-python

Package: python3-dpkt
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: Python 3 packet creation / parsing module for basic TCP/IP protocols
 Python 3 module for fast, simple packet creation / parsing, with support for
 basic protocols often related to TCP/IP protocols. This includes (but is not
 limited to):
  - ethernet
  - HTTP
  - ICMP
  - UDP
  - TCP/IP (v4 and v6)
  - BGP
  - radius
  - ssl
 and many other protocols as well as support for parsing pcap files.

## python-dpkt 1.9.8

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,9 @@
 	rm -fr *.egg-info
 	rm -fr *.tar.gz
 	rm -fr .tox
+	rm -fr .coverage
+	rm -fr .cache
+	rm -fr .pytest_cache
 	find . -name '__pycache__' -exec rm -fr {} +
 
 clean-pyc:

=== debian/changelog ===
python-dpkt (1.9.8-2) unstable; urgency=medium

  * Team upload.
  * Update watch file for new GitHub API
  * Use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Thu, 22 Aug 2024 11:44:29 +0200

python-dpkt (1.9.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/control: Add build-test-dep pytest, pytest-cov.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Sep 2022 14:05:47 -0400

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,12 @@
 Uploaders: Stewart Ferguson <stew@ferg.aero>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
- python3-setuptools
-Standards-Version: 4.6.0
+ python3-setuptools,
+ python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/kbandla/dpkt
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-dpkt.git

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=dpkt

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/kbandla/dpkt/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
